AntiFeatures:
  - UpstreamNonFree
Categories:
  - Multimedia
License: GPL-3.0-only
WebSite: http://justplayer-dev.blogspot.jp
SourceCode: https://bitbucket.org/yokmama/just-player/src
IssueTracker: https://bitbucket.org/yokmama/just-player/issues

Name: Just Player
AutoName: JUST PLAYER
Summary: Music player
Description: |-
    '''N.B.''' The versions with a 'b' at the end are designed to work on Android
    2.1+, while the ones without b are for Android 4.0+ only and come from their own
    git branch. Take care not to accept an update without checking the version
    number. The share menu won't do anything without installing plugin apks, which
    f-droid.org doesn't have.

    Comprehensive music player with features such as sharing files over Android Beam
    (on Android 4), automatic playback on headphone insertion, gapless playback,
    customizable tabs and folder browsing.

    By installing the optional [[jp.co.kayo.android.localplayer.ds.podcast]] and/or
    [[jp.co.kayo.android.localplayer.ds.ampache]] you can listen to audio from those
    sources. For example, with the latter, you can store your music on an ownCloud
    server and stream it to Just Player.

    Google Admob was removed before building.

Builds:
  - versionName: 3.17b
    versionCode: 71400255
    commit: 47e1b9b
    subdir: JUSTPLAYER
    prebuild:
      - rm -rf .google_apis
      - rm -f ../LibAndroTranslation-1.0.1/build.xml
      - $$SDK$$/tools/android update project -p ../LibAndroTranslation-1.0.1
      - mkdir src/jp/co/kayo/android/localplayer/secret
      - wget https://bitbucket.org/yokmama/just-player/downloads/Keys.java -P src/jp/co/kayo/android/localplayer/secret/
    androidupdate:
      - .
      - ../ActionBarSherlock

  - versionName: '3.14'
    versionCode: 141400250
    commit: 1b6d591d4474
    subdir: JUSTPLAYER
    prebuild:
      - rm -rf .google_apis
      - rm -f ../LibAndroTranslation-1.0.1/build.xml
      - $$SDK$$/tools/android update project -p ../LibAndroTranslation-1.0.1
    androidupdate:
      - .
      - ../ActionBarSherlock

  - versionName: 3.27b
    versionCode: 1071400284
    commit: 635894e
    subdir: JUSTPLAYER
    init: rm -f ../LibAndroTranslation-1.0.1/build.xml
    srclibs:
      - JustPlayerPluginsAdView@fb467e
      - ActionBarSherlock@4.2.0
    prebuild:
      - sed -i 's@\(android.library.reference.2=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i 's@\(android.library.reference.3=\).*@\1$$JustPlayerPluginsAdView$$@'
        project.properties
      - rm -rf .google_apis
      - mkdir -p src/jp/co/kayo/android/localplayer/secret
      - wget https://bitbucket.org/yokmama/just-player/downloads/Keys.java -P src/jp/co/kayo/android/localplayer/secret/
    androidupdate:
      - .
      - ../LibAndroTranslation-1.0.1

  - versionName: '3.27'
    versionCode: 1141600276
    commit: eaa6770
    subdir: JUSTPLAYER
    init: rm -f ../LibAndroTranslation-1.0.1/build.xml
    srclibs:
      - JustPlayerPluginsAdView@fb467e
    prebuild:
      - sed -i 's@\(android.library.reference.2=\).*@\1$$JustPlayerPluginsAdView$$@'
        project.properties
      - rm -rf .google_apis
      - mkdir -p src/jp/co/kayo/android/localplayer/secret
      - wget https://bitbucket.org/yokmama/just-player/downloads/Keys.java -P src/jp/co/kayo/android/localplayer/secret/
    androidupdate:
      - .
      - ../LibAndroTranslation-1.0.1

  - versionName: 3.34b
    versionCode: 2071400316
    commit: 9e88e472b
    subdir: JUSTPLAYER
    init: rm -f ../LibAndroTranslation-1.0.1/build.xml
    srclibs:
      - MobAdMob@2d5736
      - ActionBarSherlock@4.2.0
    prebuild:
      - sed -i 's@\(android.library.reference.2=\).*@\1$$ActionBarSherlock$$@' project.properties
      - sed -i '/sakura/d' project.properties
      - echo 'android.library.reference.3=$$MobAdMob$$' >> project.properties
      - rm -rf .google_apis libs/GoogleAdMobAdsSdk-6.2.1.jar
      - sed -i 's/KeysDummy/Keys/g' src/jp/co/kayo/android/localplayer/secret/KeysDummy.java
      - mv src/jp/co/kayo/android/localplayer/secret/KeysDummy.java src/jp/co/kayo/android/localplayer/secret/Keys.java
    androidupdate:
      - .
      - ../LibAndroTranslation-1.0.1

  - versionName: 3.37b
    versionCode: 2071400330
    commit: aee93a80c
    subdir: JUSTPLAYER
    srclibs:
      - MobAdMob@2d5736
      - ActionBarSherlock@4.2.0
    prebuild:
      - cp $$ActionBarSherlock$$/libs/android-support-v4.jar libs/
      - sed -i 's@\(android.library.reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties
      - echo 'android.library.reference.2=$$MobAdMob$$' >> project.properties
      - rm -rf .google_apis libs/GoogleAdMobAdsSdk-6.2.1.jar
      - sed -i 's/KeysDummy/Keys/g' src/jp/co/kayo/android/localplayer/secret/KeysDummy.java
      - mv src/jp/co/kayo/android/localplayer/secret/KeysDummy.java src/jp/co/kayo/android/localplayer/secret/Keys.java

  - versionName: '3.34'
    versionCode: 2111600286
    commit: f49ba446ca
    subdir: JUSTPLAYER
    init: rm -f ../LibAndroTranslation-1.0.1/build.xml
    srclibs:
      - MobAdMob@2d5736
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - echo 'android.library.reference.2=$$MobAdMob$$' >> project.properties
      - rm -rf .google_apis libs/GoogleAdMobAdsSdk-6.2.1.jar
      - sed -i 's/KeysDummy/Keys/g' src/jp/co/kayo/android/localplayer/secret/KeysDummy.java
      - mv src/jp/co/kayo/android/localplayer/secret/KeysDummy.java src/jp/co/kayo/android/localplayer/secret/Keys.java
    androidupdate:
      - .
      - ../LibAndroTranslation-1.0.1

  - versionName: '3.37'
    versionCode: 2111600304
    commit: e7ba9ce76
    subdir: JUSTPLAYER
    init: rm -f ../LibAndroTranslation-1.0.1/build.xml
    srclibs:
      - MobAdMob@2d5736
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - echo 'android.library.reference.2=$$MobAdMob$$' >> project.properties
      - rm -rf .google_apis libs/GoogleAdMobAdsSdk-6.2.1.jar
      - sed -i 's/KeysDummy/Keys/g' src/jp/co/kayo/android/localplayer/secret/KeysDummy.java
      - mv src/jp/co/kayo/android/localplayer/secret/KeysDummy.java src/jp/co/kayo/android/localplayer/secret/Keys.java
    androidupdate:
      - .
      - ../LibAndroTranslation-1.0.1

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: '3.37'
CurrentVersionCode: 2111600304

NoSourceSince: '3.37'
